#ifndef WALFORD_H
#define	WALFORD_H

#include <stdint.h>

/** Reinitialize average and count. */
void walford_init(void);

/** Adds value. Values using more than 11 bits are going to go overflow eventually. */
void walford_add(uint16_t value);

/** Returns calculated mean. */
uint16_t walford_getMean(void);

#endif
